Package org.eclipse.ui.forms

# Interface IPartSelectionListener

All Known Subinterfaces:
  `IDetailsPage`

All Known Implementing Classes:
  `DetailsPart`

public interface IPartSelectionListener
Form parts can implement this interface if they want to be notified when another part on the same form changes selection state.

Since:
  3.0
See Also:
  - `IFormPart`

## Method Summary

Modifier and Type
Method
Description
`void`
`selectionChanged(IFormPart part, ISelection selection)`
Called when the provided part has changed selection state.

## Method Details

### selectionChanged

void selectionChanged(IFormPart part, ISelection selection)
Called when the provided part has changed selection state.

Parameters:
  `part` - the selection source
  `selection` - the new selection